package com.dgtis.dorm.manager.db.dao;

import java.util.List;
import java.util.Map;

import com.dgtis.dorm.manager.db.domain.QuestionsAnswers;

public interface QuestionsAnswersMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(QuestionsAnswers record);

    int insertSelective(QuestionsAnswers record);

    QuestionsAnswers selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(QuestionsAnswers record);

    int updateByPrimaryKey(QuestionsAnswers record);

	List<QuestionsAnswers> selectByExample(QuestionsAnswers questionsAnswers);

	int countByExample(QuestionsAnswers questionsAnswers);

	List<Map> selectBy(QuestionsAnswers questionsAnswers);
}